Module java.desktop
Package javax.swing.plaf.basic

## Class BasicToolTipUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ToolTipUI
    - - javax.swing.plaf.basic.BasicToolTipUI

- Direct Known Subclasses:
    `MetalToolTipUI`, `SynthToolTipUI`

      public class BasicToolTipUI
      extends ToolTipUI

  Standard tool tip L&F.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicToolTipUI()` | Constructs a new instance of `BasicToolTipUI`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent c)` | Returns the instance of `BasicToolTipUI`.
    `protected void` | `installDefaults​(JComponent c)` | Installs default properties.
    `protected void` | `installListeners​(JComponent c)` | Registers listeners.
    `protected void` | `uninstallDefaults​(JComponent c)` | Uninstalls default properties.
    `protected void` | `uninstallListeners​(JComponent c)` | Unregisters listeners.

    - ### Methods declared in class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicToolTipUI

          public BasicToolTipUI()

      Constructs a new instance of `BasicToolTipUI`.

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent c)

      Returns the instance of `BasicToolTipUI`.
      Parameters:
        `c` - a component
      Returns:
        the instance of `BasicToolTipUI`

    - #### installDefaults

          protected void installDefaults​(JComponent c)

      Installs default properties.
      Parameters:
        `c` - a component

    - #### uninstallDefaults

          protected void uninstallDefaults​(JComponent c)

      Uninstalls default properties.
      Parameters:
        `c` - a component

    - #### installListeners

          protected void installListeners​(JComponent c)

      Registers listeners.
      Parameters:
        `c` - a component

    - #### uninstallListeners

          protected void uninstallListeners​(JComponent c)

      Unregisters listeners.
      Parameters:
        `c` - a component